Get ScheduleJobs

Get all schedule jobs

Request example

curl --location 
'https://api.liveramp.com/analytics-environment/v1/schedule-jobs?limit=100&name=&status=completed&[email protected]' \
--header 'Tenant-ID: ${tenantId}' \
--header 'Authorization: Bearer ${access_token}'

Response example

{
    "scheduleJobs": [
        {
            "id": 123,
            "tenantId": 123456,
            "clusterType": "Small",
            "jobType": "Python",
            "name": "ontime",
            "description": "ontime",
            "mainFile": "gs://lranalytics-eu-123456-cert-awob-coderepo/sam_python.py",
            "frequency": "0 0 18 10 *",
            "bigqueryFrequency": null,
            "onetimeJob": true,
            "timeZone": "Asia/Shanghai",
            "jobArgs": "",
            "pyFiles": [],
            "status": "COMPLETED",
            "enabled": false,
            "additionalPackages": "",
            "startDate": "2023-10-18 00:00:00",
            "endDate": null,
            "createTime": "Aug 8, 2023 3:16:15 AM",
            "createBy": "",
            "updateTime": "Oct 17, 2023 9:43:52 AM",
            "updateBy": "",
            "nextRuntime": "2023-10-18 00:00:00",
            "elapseTime": 305,
            "dataprocVersion": "",
            "emailAlert": "Succeeded",
            "deleted": null,
            "userEmail": null,
            "priority": 3,
            "query": null,
            "destinationDataset": null,
            "destinationTable": null,
            "destinationTablePartitionField": null,
            "writeDisposition": null,
            "pythonVersion": "3.8"
            "jobOwner": null
        }
    ],
    "_pagination": {
        "after": {
            "present": false
        },
        "total": 1
    }
}
Language